require 'yaml'
require 'tinder'

module Tinybot
  class Application
    def initialize
      config_path = File.join("#{ENV['HOME']}", '.tinybot')
      config_file = File.join(config_path, 'config.yml')
      config = YAML.load_file(config_file)
      config || raise(StandardError.new "Couldn't find the config file at: #{config_file}")
      
      campfire = Tinder::Campfire.new config['subdomain'], :username => config['username'], :password => config['password']
      
      room_names = config['rooms']
      room_names.each do |room_name|
        room = campfire.find_room_by_name room_name
        room.join
      end
      # rooms = campfire.rooms
      # rooms.each do |room|
      #   puts room.name
      # end
    end
  end
end
